Bug 1439212 (CVE-2017-7466) - CVE-2017-7466 ansible: Arbitrary code execution on control node (incomplete fix for CVE-2016-9587)
Summary: CVE-2017-7466 ansible: Arbitrary code execution on control node (incomplete f...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-7466
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20170411,repo...
Depends On: 1441355 1441356 1441357 1441358 1441361 1441362 1441482 1441485 1447506 1449764 1449765 1454993 1454994
Blocks: 1439215 1453037 1456591
TreeView+ depends on / blocked
 
Reported: 2017-04-05 12:40 UTC by Adam Mariš
Modified: 2019-06-08 21:53 UTC (History)
50 users (show)

Fixed In Version: ansible 2.3
Doc Type: If docs needed, set a value
Doc Text:
An input validation vulnerability was found in Ansible's handling of data sent from client systems. An attacker with control over a client system being managed by Ansible, and the ability to send facts back to the Ansible server, could use this flaw to execute arbitrary code on the Ansible server using the Ansible server privileges.
Clone Of:
Environment:
Last Closed: 2017-07-25 21:09:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1244 normal SHIPPED_LIVE Important: ansible and openshift-ansible security and bug fix update 2017-05-25 21:43:49 UTC
Red Hat Product Errata RHSA-2017:1334 normal SHIPPED_LIVE Important: ansible security update 2017-05-25 21:13:37 UTC
Red Hat Product Errata RHSA-2017:1476 normal SHIPPED_LIVE Important: ansible security update 2017-07-25 06:19:46 UTC
Red Hat Product Errata RHSA-2017:1499 normal SHIPPED_LIVE Important: ansible security update 2017-06-19 17:34:13 UTC
Red Hat Product Errata RHSA-2017:1599 normal SHIPPED_LIVE Important: ansible security update 2017-07-25 06:20:03 UTC
Red Hat Product Errata RHSA-2017:1685 normal SHIPPED_LIVE Important: ansible security, bug fix, and enhancement update 2017-07-06 11:23:28 UTC

Description Adam Mariš 2017-04-05 12:40:57 UTC
It was found that code execution is still possible after applying bcceada5d9b78ad77069c78226f8e9b336ff8949 commit to fix CVE-2016-9587. This was fixed in ansible 2.3 by 0d418789a298561fded9bce977d34babc9097079 however it was not backported to previous versions.

Comment 1 Adam Mariš 2017-04-05 12:41:22 UTC
Acknowledgments:

Name: Evgeni Golov (Red Hat)

Comment 3 Kurt Seifried 2017-04-08 12:34:17 UTC
notting [12:52 PM] 
jimi-c already pushed the fix to 2.2 git. i'd defer to @jmckerr & @thaumos on what we're going to officially release when 
and if it also needs thrown on 2.1. 2.3 isn't affected

Comment 4 Kurt Seifried 2017-04-11 18:59:25 UTC
Created ansible1.9 tracking bugs for this issue:

Affects: fedora-all [bug 1441356]
Affects: epel-all [bug 1441358]

Comment 5 Kurt Seifried 2017-04-11 18:59:41 UTC
Created ansible tracking bugs for this issue:

Affects: fedora-all [bug 1441355]
Affects: epel-all [bug 1441357]

Comment 20 errata-xmlrpc 2017-05-17 17:38:56 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.2
  Red Hat OpenShift Container Platform 3.3
  Red Hat OpenShift Container Platform 3.4
  Red Hat OpenShift Container Platform 3.5

Via RHSA-2017:1244 https://access.redhat.com/errata/RHSA-2017:1244

Comment 22 errata-xmlrpc 2017-05-25 17:13:55 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.2 for RHEL 7

Via RHSA-2017:1334 https://access.redhat.com/errata/RHSA-2017:1334

Comment 23 errata-xmlrpc 2017-05-25 17:44:25 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.2
  Red Hat OpenShift Container Platform 3.3
  Red Hat OpenShift Container Platform 3.4
  Red Hat OpenShift Container Platform 3.5

Via RHSA-2017:1244 https://access.redhat.com/errata/RHSA-2017:1244

Comment 24 errata-xmlrpc 2017-06-15 22:27:26 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 11.0 (Ocata)

Via RHSA-2017:1476 https://access.redhat.com/errata/RHSA-2017:1476

Comment 25 errata-xmlrpc 2017-06-19 13:34:50 UTC
This issue has been addressed in the following products:

  Red Hat Storage Console 2 for Red Hat Enteprise Linux 7

Via RHSA-2017:1499 https://access.redhat.com/errata/RHSA-2017:1499

Comment 26 errata-xmlrpc 2017-06-28 15:21:18 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)

Via RHSA-2017:1599 https://access.redhat.com/errata/RHSA-2017:1599

Comment 27 errata-xmlrpc 2017-07-06 07:29:17 UTC
This issue has been addressed in the following products:

  RHEV Engine version 4.1

Via RHSA-2017:1685 https://access.redhat.com/errata/RHSA-2017:1685


Note You need to log in before you can comment on or make changes to this bug.